use strict;
use warnings FATAL => 'all';
use PostgreSQL::Test::Cluster;
use PostgreSQL::Test::Utils;
use Test::More;

use FindBin;
use lib $FindBin::RealBin;

my $node = PostgreSQL::Test::Cluster->new('test');
$node->init;
$node->append_conf('postgresql.conf', qq{
                                                shared_preload_libraries = 'testex'
                                        });

$node->start;
$node->safe_psql('postgres', q(
CREATE EXTENSION postgres_fdw;

DO $d$
    BEGIN
        EXECUTE $$CREATE SERVER loopback FOREIGN DATA WRAPPER postgres_fdw
            OPTIONS (dbname '$$||current_database()||$$',
                     port '$$||current_setting('port')||$$'
            )$$;
    END
$d$;
CREATE USER MAPPING FOR CURRENT_USER SERVER loopback;
));

$node->safe_psql('postgres', q(CREATE TABLE test_reg (i int)));
$node->safe_psql('postgres', q(CREATE FOREIGN TABLE test (i int) SERVER loopback OPTIONS (table_name 'test_reg')));


sleep(60);

my $res=$node->safe_psql('postgres', q(SELECT count(*) FROM test));
ok ($res eq "0", 'test successful');
done_testing();
